> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Price Book Priced Products

> Search products already in a price book and populates their prices.



## OpenAPI

````yaml swagger.json get /pricebooks/{priceBookId}/pricedProducts
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks/{priceBookId}/pricedProducts:
    get:
      summary: Search Price Book Priced Products
      description: Search products already in a price book and populates their prices.
      parameters:
        - name: priceBookId
          in: path
          required: true
          schema:
            type: string
        - name: searchKeyword
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
            default: '25'
        - name: after
          in: query
          required: false
          schema:
            type: string
            default: '0'
        - name: amount
          in: query
          required: false
          schema:
            type: string
          description: Reserved for future use.
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchPriceBookPricedProductsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SearchPriceBookPricedProductsResponse:
      type: object
      properties:
        total:
          type: number
        results:
          type: array
          items:
            $ref: '#/components/schemas/SearchPriceBookPricedProductsPriceInfo'
      required:
        - total
        - results
    SearchPriceBookPricedProductsPriceInfo:
      type: object
      properties:
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
        prices:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SearchPriceBookPricedProductsPrice'
      required:
        - productId
        - properties
        - prices
    SearchPriceBookPricedProductsPrice:
      type: object
      properties:
        listPrice:
          type: number
          nullable: true
        standardPrice:
          type: number
          nullable: true
        adjustment:
          oneOf:
            - $ref: '#/components/schemas/PriceBookEntryAdjustment'
          nullable: true
      required:
        - listPrice
        - standardPrice
    PriceBookEntryAdjustment:
      oneOf:
        - $ref: '#/components/schemas/OverrideAdjustment'
        - $ref: '#/components/schemas/PercentAdjustment'
        - $ref: '#/components/schemas/VolumeAdjustment'
        - $ref: '#/components/schemas/TableEnumAdjustment'
        - $ref: '#/components/schemas/TableRangeAdjustment'
        - $ref: '#/components/schemas/VariantAdjustment'
    OverrideAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - override
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    PercentAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - percent
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    VolumeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - volume
            tiers:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                    nullable: true
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - tiers
    TableEnumAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - enum
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    TableRangeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - range
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - lastUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    VariantAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - variant
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - values
    PriceAdjustmentBase:
      type: object
      properties:
        type:
          type: string
          nullable: true
      required:
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````